<p>Setting up a "docker devstack" (not using Tutor) is no longer recommended, but may occasionally be necessary. Here is some older reference material in case you need to do this:</p>
<p>This <a href="https://www.youtube.com/embed/J_-mhrRSYyQ?start=3081">talk</a> (<a href="https://openedx.atlassian.net/wiki/download/attachments/756384075/Navigating%20the%20Docker%20Devstack%20Presentation.pdf?version=1&amp;modificationDate=1528315993270&amp;cacheVersion=1&amp;api=v2">slides</a>), given by our own team members, is an optional introduction to the docker devstack.</p>
<p>The following instructions will help you set up the docker devstack:</p>
<ol>
<li>Read about the <a href="https://github.com/openedx/devstack/blob/master/docs/getting_started.rst#prerequisites">Installation Prerequisites</a> and make sure you have all the tools installed on your OS.</li>
<li>Create a dedicated folder for each devstack (eg:. <code>~/hawthorn-devstack/</code>).</li>
<li>Clone the devstack configuration repo into it using <code>git clone https://github.com/edx/devstack</code></li>
<li>Enter the folder where you just cloned the repo and set up a <a href="https://docs.python-guide.org/dev/virtualenvs/#lower-level-virtualenv">Python virtualenv</a> in order to install the devstack's requirements.</li>
<li>Run <code>make requirements</code> to install all python prerequisites needed for provisioning.</li>
<li>Follow the instructions on <a href="https://github.com/openedx/devstack/blob/master/docs/getting_started.rst#directions-to-setup-devstack">Directions to setup devstack</a> of devstack repository documentation.</li>
</ol>
